import * as echarts from 'echarts';
import type { CoordinateSystemMaster } from 'echarts/types/src/coord/CoordinateSystem';
import type Model from 'echarts/types/src/model/Model';
export default class Factory {
    static symbol(model: Model, sys: CoordinateSystemMaster, finder: any): echarts.graphic.Group | undefined;
    static index(model: Model, sys: CoordinateSystemMaster, finder: any, api: any): echarts.graphic.Group | undefined;
    static rect(model: Model, sys: CoordinateSystemMaster, finder: any, api: any): echarts.graphic.Rect | undefined;
    static line(model: Model, sys: CoordinateSystemMaster, finder: any): echarts.graphic.Group | undefined;
    static text(model: Model, sys: CoordinateSystemMaster, finder: any): echarts.graphic.Text | undefined;
}
